package siprp.database.cayenne.providers;

import org.apache.cayenne.access.DataContext;
import org.apache.cayenne.conf.Configuration;

public class MainDAO
{
	protected static DataContext context = null;
	
	public MainDAO()
	{
		if( context == null )
		{
//			DefaultConfiguration conf = new DefaultConfiguration();
//			conf.addClassPath("");
//			conf.getDomain().getProperties();
//			Configuration.initializeSharedConfiguration();
//			Configuration.getSharedConfiguration().getDomain().getNode( "SIPRPNode" ).getDataSource();
			context = DataContext.createDataContext();
		}
	}
}
